TOUCH(1)

NAME
touch - change file timestamps

SYNOPSIS
touch [OPTION]... FILE...

DESCRIPTION

or  : ../src/touch [-acm] MMDDhhmm[YY] FILE... (obsolescent)

Update
    the access and modification times of each FILE to the current time.

-a  change only the access time

-c  do not create any files

-d, --date=STRING
    parse STRING and use it instead of current time

-f  (ignored)

-m  change only the modification time

-r, --reference=FILE
    use this file's times instead of current time

-t  STAMP use [[CC]YY]MMDDhhmm[.ss] instead of current time

--time=WORD
    access -a, atime -a, mtime -m, modify -m, use -a

--help
    display this help and exit

--version
    output version information and exit

STAMP may be used without -t if none of -drt, nor --, are used. Note that the three time-date formats recognized for the -d and -t options and for the obsolescent argument are all different.

REPORTING BUGS
Report bugs to <bug-fileutils@gnu.org>.

SEE ALSO
The full documentation for touch is maintained as a Texinfo manual. If the info and touch programs are properly installed at your site, the command

    info touch

should give you access to the complete manual.